summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorshtrom2008-12-03 23:39:48 +0000
committershtrom2008-12-03 23:39:48 +0000
commita8bde256a13eb2b66c262489eee774bf7928999f (patch)
tree621850e6588202458bca8e840b22adc18c085436
downloadaur-a8bde256a13eb2b66c262489eee774bf7928999f.tar.gz
New package: flv2mpeg4.
git-svn-id: svn+ssh://scm.narf.ssji.net/svn/archlinux-packages@123 df209809-8e4a-0410-9a64-c169741eb0fc
-rw-r--r--.SRCINFO32
-rw-r--r--Makefile26
-rw-r--r--PKGBUILD38
3 files changed, 96 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..545d79328cb
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,32 @@
+pkgbase = flv2mpeg4-svn
+ pkgdesc = Adobe(R) Flash(R) Video format (FLV) to MPEG4 Transcoder from vixy.net.
+ pkgver = 3
+ pkgrel = 1
+ url = http://vixynet.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ makedepends = subversion
+ depends = a52dec
+ depends = bzip2
+ depends = faac
+ depends = faad2
+ depends = ffmpeg
+ depends = lame
+ depends = libogg
+ depends = libtheora
+ depends = libvorbis
+ depends = libx11
+ depends = libxau
+ depends = libxcb
+ depends = libxdmcp
+ depends = x264
+ depends = xvidcore
+ depends = zlib
+ provides = flv2mpeg4
+ conflicts = flv2mpeg4
+ source = Makefile
+ md5sums = f649789cef4a4e703aa95b4b393c24fc
+
+pkgname = flv2mpeg4-svn
+
diff --git a/Makefile b/Makefile
new file mode 100644
index 00000000000..27ba7ab876a
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,26 @@
+# Simple Makefile to ease the compilation of flv2mpeg4
+# Olivier Mehani <shtrom-aur@ssji.net>
+# $Id$
+#
+CFLAGS+=-I/usr/include/ffmpeg -L/usr/lib
+LDFLAGS+=-lavformat -lavcodec -lavutil
+
+all: flv2mpeg4
+install: flv2mpeg4
+ install -D -m 0755 flv2mpeg4 $(DESTDIR)/usr/bin/flv2mpeg4
+
+flv2mpeg4_SOURCES=avformat_writer.c \
+ dcprediction.c \
+ flv2mpeg4.c \
+ fetch.c \
+ flvdecoder.c \
+ m4vencode.c \
+ mp3header.c
+
+flv2mpeg4: $(flv2mpeg4_SOURCES:.c=.o)
+
+clean:
+ rm -f $(flv2mpeg4_SOURCES:.c=.o)
+ rm -f flv2mpeg4
+
+.PHONY: all install clean
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9208c49d5ef
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Contributor: Olivier Mehani <shtrom-aur@ssji.net>
+# $Id$
+
+pkgname=flv2mpeg4-svn
+pkgver=3
+pkgrel=1
+pkgdesc="Adobe(R) Flash(R) Video format (FLV) to MPEG4 Transcoder from vixy.net."
+url="http://vixynet.sourceforge.net/"
+arch=('i686' 'x86_64')
+license=('LGPL')
+depends=('a52dec' 'bzip2' 'faac' 'faad2' 'ffmpeg' 'lame' 'libogg' 'libtheora' 'libvorbis' 'libx11' 'libxau' 'libxcb' 'libxdmcp' 'x264' 'xvidcore' 'zlib')
+provides=('flv2mpeg4')
+conflicts=('flv2mpeg4')
+makedepends=('subversion')
+
+_svntrunk=https://vixynet.svn.sourceforge.net/svnroot/vixynet/trunk/flv2mpeg4
+_svnmod=flv2mpeg4
+
+build() {
+ cd ${srcdir}
+
+ if [ -d $_svnmod/.svn ]; then
+ (cd $_svnmod && svn up -r $pkgver)
+ else
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ fi
+
+ msg "SVN checkout done or server timeout"
+ msg "Copying local stubby Makefile..."
+ cp ${startdir}/Makefile $_svnmod/src
+ msg "Starting make..."
+
+ cp -r $_svnmod $_svnmod-build
+ cd $_svnmod-build/src
+
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 2
+}